Bug 89545 - Option needed to disable anti-aliased fonts
Option needed to disable anti-aliased fonts
Product: Red Hat Linux
Classification: Retired
Component: mozilla (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Blizzard
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2003-04-23 23:05 EDT by Steve Tate
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-06-02 10:26:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steve Tate 2003-04-23 23:05:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:

mozilla really needs an option to turn off anti-aliasing of fonts.  I have had
mixed experiences with anti-aliasing on various systems and various apps, and
unfortunately anti-aliased fonts on my work system in mozilla look like crap. 
Not a big deal if I could disable them, but I couldn't find a way to do that.  I
don't want to disable gnome/gtk-wide, since they look ok in some applications.

I ended up downgrading to the mozilla from RedHat 8, which works fine, but if
all future versions of mozilla are going to have non-deselectable anti-aliasing,
then I'm not going to be able to use newer versions, and that bothers me.....

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Run mozilla
2.Look in either awe or disgust at anti-aliased fonts
3..... Profit!

Expected Results:  
I would expect a checkbox in the "Edit/Preferences/Appearance/Fonts" options to
allow me to disable anti-aliasing!

Additional info:
Comment 1 schiebe 2003-04-28 15:45:07 EDT
Yes! Please make a option where you can disable anti-aliased fonts in Mozilla.
Comment 2 Christopher Blizzard 2003-05-05 13:29:22 EDT
Put GDK_USE_XFT=0 in your environment before running mozilla.
Comment 3 Steve Tate 2003-05-05 15:44:41 EDT
Unfortunately, this gives one step forward, and one step back, so
doesn't really fix the problem.  It made the web pages display fine, but
all text inside any basic widgets was too tiny to read.  This means text
on buttons in the tool bar, and text on buttons and input fields in the
browser (for example, text in the input field for Google was too small
to read).  None of the Font settings seems to affect this at all, so now
I'm back to mozilla 1.0.1 again....
Comment 4 Christopher Blizzard 2003-06-02 10:26:15 EDT
There's an upstream bug filed.

Comment 5 Barry K. Nathan 2003-08-04 10:43:17 EDT
GDK_USE_XFT=0 does the trick on a Severn+rawhide system. I haven't tried it on 
a Red Hat 9 system, however. 
Comment 6 Barry K. Nathan 2003-08-04 10:44:29 EDT
GDK_USE_XFT=0 does the trick on a Severn+rawhide system. I haven't tried it on  
a Red Hat 9 system, however. 
Comment 7 Barry K. Nathan 2003-08-04 10:45:16 EDT
(oops, sorry about the double post) 

Note You need to log in before you can comment on or make changes to this bug.